Комментарии

Установка ionCube на локальный сервер Mamp
( 4 Голосов )

Установка ionCube на локальный сервер MampИногда разработчики различного ПО для сайтов, кодируют свои программы и скрипты используя немалоизвестный ionCube для защиты своего программного обеспечения. Благодаря ionCube разработчики могут быть уверены, что их ПО будет использоватся только легально с использованием лицензионного ключа.

Все конечно здорово, но иногда необходимо протестировать на локальном сервере, какой либо скрипт или расширение которое закодировано с помощью ionCube. На "реальных" серверах (хостингах) практически всегда предустановлен ionCube или имеется простая возможность его установки, но на локальных серверах таких как Mamp или Denwer, по умолчанию его нет и приходится устанавливать его собственными силами. В данной статье я в подробностях расскажу как можно установить ionCube Loader на локальный сервер Mamp буквально за пару минут.

Итак. Для начала вам необходимо скачать сам ionCube Loader, для этого перейдите на официальный сайт ionCube и загрузите последнюю версию ПО для вашей системы (в моем случае это OS X 64 bits).

После того как вы загрузили ionCube, откройте Finder и одновременно нажмите на кнопки: cmd + shift + G, далее в появившиемся окне вставьте путь к папке и нажмите на кнопку — Перейти.

/Applications/MAMP/bin/php/

Путь к PHP версиям локального сервера Mamp

После вам нужно выбрать версию PHP для которой будет установлен ionCube, в моем случае это версия PHP 5.4.34, так как в большинстве я работаю с данной версией PHP. Вы также можете установить ionCube для всех версий PHP, но тогда вам придется проделать все описанное в данной статье для каждой конкретной версии PHP в отдельности.

Выбор версии PHP в локальном сервере Mamp

После того как вы определились с версией PHP в которой будете использовать ionCube, перейдите к папке:

lib/php/extensions/no-debug-non-zts-20100525/

Далее откройте ранее загруженный архив с ionCube Loader, выберите нужный пакет для вашей версии PHP и скопируйте дистрибутив ionCube Loader в данную папку. В моем случае это ioncube_loader_dar_5.4.so

Копирование ionCube Loader в папку Mamp

Хочу обратить ваше внимание на то, что в названии последней папки могут отличаться цифры (в моем случае это 20100525)

Соответственно если вы используйте PHP версию отличную от моей, к примеру PHP 5.3.x, PHP 5.5.x или PHP 5.6.x, то и версия ionCube должна соответствовать вашей версии PHP, для примера, ниже я привел список версий PHP и версии загрузчиков которые должны быть использованы:

  • PHP 5.3.x — ioncube_loader_dar_5.3.so
  • PHP 5.4.x — ioncube_loader_dar_5.4.so
  • PHP 5.5.x — ioncube_loader_dar_5.5.so
  • PHP 5.6.x — ioncube_loader_dar_5.6.so

В архиве который вы скачали ранее с официального сайта ionCube вы найдете все эти версии. Ниже показан скриншот архива с включенными версиями ionCube.

Дистрибутивы ionCube для Mac OS

После того как вы скопировали в папку PHP нужную версию ionCube, вам нужно отредактировать шаблон PHP, а точнее добавить одну строчку для активации (запуска) ionCube при старте локального сервера Mamp. Для этого запустите локальный сервер Mamp, перейдите в верхнее меню и откройте пункты:

File => Edit Template => PHP => PHP 5.4.34 php.ini (версию PHP соответственно открывайте такую, которую вы будете использовать)

Редактирование шаблонов PHP в Mamp

Далее у вас откроется окно редактирования файла PHP.ini. Перейдите к строке 1086 после чего вставьте следующий код:

zend_extension = /Applications/MAMP/bin/php/php5.4.34/lib/php/extensions/no-debug-non-zts-20100525//ioncube_loader_dar_5.4.so

Далее сохраните файл кнопками CMD + S или в верхнем меню перейдите в File => Save

Редактирование PHP.ini на локальном сервере Mamp

Обращаю ваше внимание что в строке вам нужно будет изменить версию PHP, цифры в названии папки и версию загрузчика. В моем случае это 5.4.34, 20100525 и 5.4 соответственно.

Для примера продублирую код для вставки еще раз, но с использованием символа X, где X нужно заменить вашими цифрами:

zend_extension = /Applications/MAMP/bin/php/php5.X.XX/lib/php/extensions/no-debug-non-zts-XXXXXXXX//ioncube_loader_dar_X.X.so

Если вы все сделали как описано выше, просто перезагрузите локальный сервер Mamp (достаточно рестарта Apache) и откройте сайт на котором используется расширение (скрипт) закодированный с помощью ionCube. Все должно работать в порядке. Скрипты, расширения, движки и прочее ПО закодированное с помощью ionCube без проблем будет работать на локальном сервере Mamp, где вы сможете протестировать и сделать необходимую отладку.

Установка ionCube на Mamp проверена на всех версиях PHP + на всех версиях локального сервера Mamp (2.x, 3.x). Поэтому проблем с установкой или использованием у вас возникнуть не должно. Если что-то не будет получатся, пишите в комментариях или задавайте вопросы на нашем форуме.


Понравился материал? Пригодилась информация? Плюсани в социалки!


 
Похожие новости
Добавить комментарий


Защитный код